Skip to main content
GET
/
pricebooks
List Price Books
curl --request GET \
  --url https://api.secure.quotivity.com/v1/pricebooks \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "<string>",
    "accountId": "<string>",
    "name": "<string>",
    "description": "<string>",
    "bundleOptionId": "<string>",
    "isDeleted": true,
    "effectiveStartDate": "<string>",
    "effectiveEndDate": "<string>"
  }
]

Authorizations

x-api-key
string
header
required

Query Parameters

onlyEffective
enum<string>

When set to 'true', only returns price books that are currently effective based on their effective date range.

Available options:
true

Response

Successfully retrieved price books

id
string
required
accountId
string
required
name
string
required
description
string | null
required
bundleOptionId
string | null
isDeleted
boolean
effectiveStartDate
string | null

ISO date string (e.g. "2025-01-01"). Requires PRICE_BOOK_EFFECTIVE_DATES feature.

effectiveEndDate
string | null

ISO date string (e.g. "2025-12-31"). Requires PRICE_BOOK_EFFECTIVE_DATES feature.